Payments
GET
/v1/forms/:id/paymentsGet payment information for responses to a form.
Permissions
payments:read
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
limit | number | No | Default 50, max 100 |
offset | number | No | Skip N results |
skip | number | No | Alias for offset |
cursor | string | No | Pagination cursor (returned as nextCursor) |
Request
curl -X GET "https://api.form.nour-lab.com/v1/forms/form_123/payments?limit=10" \ -H "Authorization: Bearer YOUR_API_KEY"
Response
{
"data": [
{
"responseId": "resp_123",
"amount": 1000,
"currency": "XAF",
"status": "paid",
"paidAt": "2026-01-01T00:00:00Z"
}
],
"nextCursor": "...",
"hasMore": true
}Payment data is only returned if the API key has the payments:read scope and is included with the relevant response data based on that scope.